import { Store } from './store';
import { CreateTranslatorOptions, CreateTranslatorResult, Dict, FlattenDict, Translator } from './types';
export declare const createGetTranslator: <D extends Dict, ProvidedArgs extends string = never>(store: Store<D, never>, { fallbackLocale, fallbackToLessSpecific, fallback: globalFallback, fallbackIgnoresFallbackLocales, warn, sourceLocale, dateTimeFormatOptions, listFormatOptions, numberFormatOptions, pluralRulesOptions, relativeTimeFormatOptions, ignoreMissingArgs, provideArgs, }: CreateTranslatorOptions<D, ProvidedArgs>) => (locale: string) => Promise<Translator<FlattenDict<D>, ProvidedArgs, import("./types").GetTranslatorOptions, string>>;
export declare function createTranslator<D extends Dict, ProvidedArgs extends string = never>(options: CreateTranslatorOptions<D, ProvidedArgs>): CreateTranslatorResult<FlattenDict<D>, ProvidedArgs>;
